## org.apache.myfaces.custom.navmenu.htmlnavmenu
Class HtmlNavigationMenuRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlLinkRendererBase
                  org.apache.myfaces.renderkit.html.ext.HtmlLinkRenderer
                      org.apache.myfaces.custom.navmenu.htmlnavmenu.HtmlNavigationMenuRenderer

public class HtmlNavigationMenuRenderer
extends HtmlLinkRenderer

Author:
  Thomas Spiegl, Manfred Geiler

Field Summary
`static java.lang.String` `RENDERER_TYPE`

Fields inherited from class org.apache.myfaces.renderkit.html.HtmlLinkRendererBase
`URL_STATE_MARKER, URL_STATE_MARKER_LEN`

Constructor Summary
`HtmlNavigationMenuRenderer()`

Method Summary
`void` `decode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` `encodeBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` `encodeChildren(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`boolean` `getRendersChildren()`
`protected java.lang.String` `getStyle(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent link)` Can be overwritten by derived classes to overrule the style to be used.
`protected java.lang.String` `getStyleClass(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent link)` Can be overwritten by derived classes to overrule the style class to be used.
`protected void` `renderListLayout(javax.faces.context.FacesContext facesContext, HtmlPanelNavigationMenu component)`

Methods inherited from class org.apache.myfaces.renderkit.html.ext.HtmlLinkRenderer
`renderCommandLinkStart, renderLinkEnd, renderOutputLinkStart`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlLinkRendererBase
`renderJavaScriptAnchorStart, renderNonJavaScriptAnchorStart`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RENDERER_TYPE

    public static final java.lang.String RENDERER_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlNavigationMenuRenderer

    public HtmlNavigationMenuRenderer()

Method Detail

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `HtmlLinkRendererBase`

### decode

    public void decode(javax.faces.context.FacesContext facesContext,
                       javax.faces.component.UIComponent component)

  Overrides:
    `decode` in class `HtmlLinkRendererBase`

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent component)
                     throws java.io.IOException

  Overrides:
    `encodeBegin` in class `HtmlLinkRendererBase`
  Throws:
    `java.io.IOException`

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Overrides:
    `encodeChildren` in class `HtmlLinkRendererBase`
  Throws:
    `java.io.IOException`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent component)
                   throws java.io.IOException

  Overrides:
    `encodeEnd` in class `HtmlLinkRendererBase`
  Throws:
    `java.io.IOException`

### renderListLayout

    protected void renderListLayout(javax.faces.context.FacesContext facesContext,
                                    HtmlPanelNavigationMenu component)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### getStyle

    protected java.lang.String getStyle(javax.faces.context.FacesContext facesContext,
                                        javax.faces.component.UIComponent link)

  Description copied from class: `HtmlLinkRendererBase`
  Can be overwritten by derived classes to overrule the style to be used.

  Overrides:
    `getStyle` in class `HtmlLinkRendererBase`

### getStyleClass

    protected java.lang.String getStyleClass(javax.faces.context.FacesContext facesContext,
                                             javax.faces.component.UIComponent link)

  Description copied from class: `HtmlLinkRendererBase`
  Can be overwritten by derived classes to overrule the style class to be used.

  Overrides:
    `getStyleClass` in class `HtmlLinkRendererBase`